## org.apache.poi.hwpf.model
Class FootnoteReferenceDescriptor

    java.lang.Object
      org.apache.poi.hwpf.model.types.FRDAbstractType
          org.apache.poi.hwpf.model.FootnoteReferenceDescriptor

All Implemented Interfaces:
  java.lang.Cloneable

    @Internal
    public final class FootnoteReferenceDescriptor

extends FRDAbstractType
implements java.lang.Cloneable

Field Summary

Fields inherited from class org.apache.poi.hwpf.model.types.FRDAbstractType
`field_1_nAuto`

Constructor Summary
`FootnoteReferenceDescriptor()`
`FootnoteReferenceDescriptor(byte[] data, int offset)`

Method Summary
`protected FootnoteReferenceDescriptor` `clone()`
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`
`boolean` `isEmpty()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.hwpf.model.types.FRDAbstractType
`fillFields, getNAuto, getSize, serialize, setNAuto`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FootnoteReferenceDescriptor

    public FootnoteReferenceDescriptor()

### FootnoteReferenceDescriptor

    public FootnoteReferenceDescriptor(byte[] data,
                                       int offset)

Method Detail

### clone

    protected FootnoteReferenceDescriptor clone()

  Overrides:
    `clone` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isEmpty

    public boolean isEmpty()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `FRDAbstractType`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.